library(ape)
args            <- commandArgs()
Gene_tree       <- args[6]
pdf.file        <- args[7]

PDF_treeDrawing <- function (tr)
{
  pdfWidth  <- NULL
  pdfHeight <- NULL
  if (length(tr$tip.label) > 200) {
    pdfWidth  = 38
    pdfHeight = 28
  } else if (length(tr$tip.label) > 100) {
    pdfWidth  = 31
    pdfHeight = 21
  } else if (length(tr$tip.label) > 50) {
    pdfWidth  = 24
    pdfHeight = 14
  } else if (length(tr$tip.label) > 10) {
    pdfWidth  = 25
    pdfHeight = 10
  } else {
    pdfWidth  = 15
    pdfHeight = 7
  }

  pdf(pdf.file, width = pdfWidth, height = pdfHeight)
  plot(tr, no.margin=TRUE, underscore = TRUE, use.edge.length=TRUE, cex = 0.9)
  add.scale.bar()
  nodelabels(tr$node.label, adj = c(1.2,-0.5), frame = "n")

  dev.off()
}

##################################################################

Gene_tree <- read.tree(Gene_tree)
Gene_tree <- ladderize(Gene_tree, TRUE)
Gene_tree$edge.length[Gene_tree$edge.length<0]<-0
PDF_treeDrawing(Gene_tree)

